Bug 728347 - Failed to Load Drift Changeset Tree
Summary: Failed to Load Drift Changeset Tree
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 4.1
Hardware: All
OS: All
medium
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 19:36 UTC by Mike Foley
Modified: 2012-02-07 19:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
drift NPE (47.17 KB, image/png)
2011-08-04 19:36 UTC, Mike Foley
no flags Details
drift error (55.53 KB, image/png)
2011-08-04 19:37 UTC, Mike Foley
no flags Details

Description Mike Foley 2011-08-04 19:36:18 UTC
Created attachment 516774 [details]
drift NPE

Description of problem: Failed to Load Drift Changeset Tree

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  Platforms, select Drift Tab
2.
3.
  
Actual results:
NPE

Expected results:


Additional info:
Failed to load drift change set tree.
Severity :	
Error
	
Time :	
Thursday, August 4, 2011 3:32:04 PM Etc/GMT+4
Detail :	
java.lang.RuntimeException:[1312486323550] java.lang.NullPointerException:null
--- STACK TRACE FOLLOWS ---
[1312486323550] java.lang.NullPointerException:null
    at Unknown.java_lang_RuntimeException_$RuntimeException__Ljava_lang_RuntimeException_2Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_core_java_lang_RuntimeException_1FieldSerializer_instantiate__Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_$readObject__Lcom_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.handleEvent(Unknown source:0)
    at Unknown.SJOWContentBoundary(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)

Comment 1 Mike Foley 2011-08-04 19:37:04 UTC
Created attachment 516775 [details]
drift error

Comment 2 Jay Shaughnessy 2011-08-11 16:34:26 UTC
This should be fixed as of the 4.1 beta.

Comment 3 Mike Foley 2011-08-12 13:28:00 UTC
verified 4.1 beta

Comment 4 Mike Foley 2012-02-07 19:30:24 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Comment 5 Mike Foley 2012-02-07 19:30:38 UTC
marking VERIFIED BZs to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.